org.apache.synapse.transport.netty

## Class BridgeConstants

- java.lang.Object
- - org.apache.synapse.transport.netty.BridgeConstants

-     public class BridgeConstants
      extends java.lang.Object

  `BridgeConstants` contains the constants related to netty axis2 bridge.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ALWAYS`
    `static java.lang.String` | `AUTO`
    `static java.lang.String` | `BRIDGE_LOG_PREFIX`
    `static java.lang.String` | `BUFFERED_INPUT_STREAM`
    `static java.lang.String` | `CACHE_DELAY`
    `static java.lang.String` | `CACHE_SIZE`
    `static java.lang.String` | `CARBON_SERVER_XML_NAMESPACE`
    `static java.lang.String` | `CHANNEL_HANDLER_CONTEXT`
    `static java.lang.String` | `CHUNKING_CONFIG`
    `static java.lang.String` | `CIPHERS`
    `static java.lang.String` | `CLIENT_REVOCATION`
    `static java.lang.String` | `CONF_LOCATION`
    `static java.lang.String` | `CONTENT_LEN`
    `static java.lang.String` | `CONTENT_TYPE_APPLICATION_OCTET_STREAM`
    `static java.lang.String` | `CONTENT_TYPE_HEADER`
    `static java.lang.String` | `DEFAULT_OUTBOUND_USER_AGENT`
    `static java.lang.String` | `DEFAULT_REQUEST_CONTENT_TYPE`
    `static java.lang.String` | `DEFAULT_VERSION_HTTP_1_1`
    `static java.lang.String` | `DISABLE_CHUNKING` If you set this to true, it disables HTTP chunking for outgoing messages.
    `static java.lang.String` | `ERROR_CODE` The message context property name which holds the error code for the last encountered exception.
    `static java.lang.String` | `ERROR_DETAIL` The message context property name which holds the error detail (stack trace) for the last encountered exception.
    `static java.lang.String` | `ERROR_EXCEPTION` The message context property name which holds the exception (if any) for the last encountered exception.
    `static java.lang.String` | `ERROR_MESSAGE` The MC property name which holds the error message for the last encountered exception.
    `static java.lang.String` | `ETAG_HEADER`
    `static java.lang.String` | `FAULT_MESSAGE`
    `static java.lang.String` | `FAULTS_AS_HTTP_200` When ESB receives a soap fault as a HTTP 500 message, ESB will forward this fault to client with status code 200.
    `static java.lang.String` | `FORCE_HTTP_1_0` Force HTTP 1.0 for outgoing HTTP messages.
    `static java.lang.String` | `FORCE_HTTP_CONTENT_LENGTH` If the request sent by the client contains the ‘Content-Length’ header, this property allows the ESB to send the request with the content length (without HTTP chunking) to the back end server.
    `static java.lang.String` | `FORCE_SC_ACCEPTED` When set to true, this property forces a 202 HTTP response to the client immediately after the current execution thread finishes, so that the client stops waiting for a response.
    `static java.lang.String` | `FORCE_SOAP_FAULT`
    `static java.lang.String` | `FULL_URI`
    `static java.lang.String` | `HOSTNAME_PARAM`
    `static java.lang.String` | `HOSTNAME_VERIFIER`
    `static float` | `HTTP_1_0`
    `static java.lang.String` | `HTTP_1_0_VERSION`
    `static float` | `HTTP_1_1`
    `static java.lang.String` | `HTTP_1_1_VERSION`
    `static java.lang.String` | `HTTP_2_0`
    `static java.lang.String` | `HTTP_2_0_VERSION`
    `static java.lang.String` | `HTTP_202_RECEIVED` A message context property indicating "TRUE".
    `static java.lang.String` | `HTTP_ACCESS_LOG`
    `static java.lang.String` | `HTTP_ACCESS_LOG_ENABLED`
    `static java.lang.String` | `HTTP_CARBON_MESSAGE`
    `static java.lang.String` | `HTTP_CLIENT_REQUEST_CARBON_MESSAGE`
    `static java.lang.String` | `HTTP_CONNECT`
    `static java.lang.String` | `HTTP_DEFAULT_HOST`
    `static java.lang.String` | `HTTP_DELETE`
    `static java.lang.String` | `HTTP_ETAG_ENABLED` This property determines whether the HTTP Etag should be enabled for the request or not.
    `static java.lang.String` | `HTTP_GET`
    `static java.lang.String` | `HTTP_HEAD`
    `static java.lang.String` | `HTTP_HOST`
    `static java.lang.String` | `HTTP_METHOD`
    `static java.lang.String` | `HTTP_OPTIONS`
    `static java.lang.String` | `HTTP_PORT`
    `static java.lang.String` | `HTTP_POST`
    `static java.lang.String` | `HTTP_PROTOCOL_VERSIONS_PARAM`
    `static java.lang.String` | `HTTP_PUT`
    `static java.lang.String` | `HTTP_REASON_PHRASE_SENT_FROM_BACKEND`
    `static java.lang.String` | `HTTP_SC` The HTTP status code.
    `static java.lang.String` | `HTTP_SC_DESC` HTTP response's Reason- Phrase that is sent by the backend.
    `static java.lang.String` | `HTTP_SOURCE_CONFIGURATION`
    `static java.lang.String` | `HTTP_STATUS_CODE_SENT_FROM_BACKEND`
    `static java.lang.String` | `HTTP_TARGET_CONFIGURATION`
    `static java.lang.String` | `HTTP_TRACE_LOG`
    `static java.lang.String` | `HTTP_TRACE_LOG_ENABLED`
    `static java.lang.String` | `HTTP_VERSION_PREFIX`
    `static java.lang.String` | `HTTPS_PROTOCOL`
    `static java.lang.String` | `IGNORE_SC_ACCEPTED`
    `static java.lang.String` | `INTERNAL_EXCEPTION_ORIGIN`
    `static java.lang.String` | `INTERNAL_ORIGIN_ERROR_HANDLER`
    `static java.lang.String` | `INVOKED_REST`
    `static java.lang.String` | `JSON_CONTENT_TYPE`
    `static java.lang.String` | `KEY_PASSWORD`
    `static java.lang.String` | `KEY_STORE`
    `static java.lang.String` | `LOCATION`
    `static java.lang.String` | `MESSAGE_BUILDER_INVOKED`
    `static java.lang.String` | `MESSAGE_OUTPUT_FORMAT`
    `static java.lang.String` | `NEVER`
    `static java.lang.String` | `NIO_ACK_REQUESTED`
    `static long` | `NO_CONTENT_LENGTH_FOUND`
    `static java.lang.String` | `NO_ENTITY_BODY`
    `static java.lang.String` | `NO_KEEPALIVE` Disables HTTP keep alive for outgoing requests.
    `static java.lang.String` | `NO_VALIDATE_CERT`
    `static java.lang.String` | `NON_BLOCKING_TRANSPORT`
    `static short` | `ONE_BYTE`
    `static java.lang.String` | `PASSWORD`
    `static java.lang.String` | `POOLED_BYTE_BUFFER_FACTORY`
    `static java.lang.String` | `PORT_PARAM`
    `static java.lang.String` | `POST_TO_URI` This property makes the outgoing URL of the ESB a complete URL.
    `static java.lang.String` | `PRE_LOCATION_HEADER`
    `static java.lang.String` | `PREFERRED_CIPHERS`
    `static java.lang.String` | `PROTOCOL`
    `static java.lang.String` | `PROTOCOL_HTTP`
    `static java.lang.String` | `PROTOCOL_HTTPS`
    `static java.lang.String` | `RAW_PAYLOAD` An Axis2 message context property that hols the raw payload when an error occurs while building message.
    `static java.lang.String` | `RELAY_EARLY_BUILD`
    `static java.lang.String` | `REMOTE_HOST`
    `static java.lang.String` | `REQUEST_HOST_HEADER` The value of this property will be set as the HTTP host header of outgoing request.
    `static java.lang.String` | `REST_REQUEST_CONTENT_TYPE`
    `static java.lang.String` | `REST_URL_POSTFIX`
    `static java.lang.String` | `SC_ACCEPTED`
    `static java.lang.String` | `SENDING_FAULT` An Axis2 message context property indicating a transport send failure.
    `static java.lang.String` | `SERVICE_PREFIX`
    `static java.lang.String` | `SET_CHARACTER_ENCODING`
    `static java.lang.String` | `SOAP_ACTION_HEADER`
    `static java.lang.String` | `SSL_ENABLED_PROTOCOLS`
    `static java.lang.String` | `SSL_HANDSHAKE_TIMEOUT`
    `static java.lang.String` | `SSL_PROTOCOL`
    `static java.lang.String` | `SSL_SESSION_TIMEOUT`
    `static java.lang.String` | `SSL_VERIFY_CLIENT`
    `static java.lang.String` | `STORE_LOCATION`
    `static java.lang.String` | `TLS_PROTOCOL`
    `static java.lang.String` | `TO`
    `static java.lang.String` | `TRANSFER_ENCODING`
    `static java.lang.String` | `TRANSPORT_HTTPSWSS`
    `static java.lang.String` | `TRANSPORT_HTTPWS`
    `static java.lang.String` | `TRANSPORT_MESSAGE_HANDLER`
    `static java.lang.String` | `TRUE`
    `static java.lang.String` | `TRUST_STORE`
    `static java.lang.String` | `TYPE`
    `static java.lang.String` | `VALID_CACHED_RESPONSE`
    `static java.lang.String` | `VALUE_FALSE`
    `static java.lang.String` | `VALUE_TRUE`
    `static java.lang.String` | `WSDL_REQUEST_HANDLED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BridgeConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TRANSPORT_HTTPWS

          public static final java.lang.String TRANSPORT_HTTPWS

      See Also:
        Constant Field Values

    - #### TRANSPORT_HTTPSWSS

          public static final java.lang.String TRANSPORT_HTTPSWSS

      See Also:
        Constant Field Values

    - #### PORT_PARAM

          public static final java.lang.String PORT_PARAM

      See Also:
        Constant Field Values

    - #### HOSTNAME_PARAM

          public static final java.lang.String HOSTNAME_PARAM

      See Also:
        Constant Field Values

    - #### HTTP_PROTOCOL_VERSIONS_PARAM

          public static final java.lang.String HTTP_PROTOCOL_VERSIONS_PARAM

      See Also:
        Constant Field Values

    - #### BRIDGE_LOG_PREFIX

          public static final java.lang.String BRIDGE_LOG_PREFIX

      See Also:
        Constant Field Values

    - #### VALUE_TRUE

          public static final java.lang.String VALUE_TRUE

      See Also:
        Constant Field Values

    - #### VALUE_FALSE

          public static final java.lang.String VALUE_FALSE

      See Also:
        Constant Field Values

    - #### TRUE

          public static final java.lang.String TRUE

      See Also:
        Constant Field Values

    - #### NO_ENTITY_BODY

          public static final java.lang.String NO_ENTITY_BODY

      See Also:
        Constant Field Values

    - #### PROTOCOL

          public static final java.lang.String PROTOCOL

      See Also:
        Constant Field Values

    - #### REMOTE_HOST

          public static final java.lang.String REMOTE_HOST

      See Also:
        Constant Field Values

    - #### HTTP_METHOD

          public static final java.lang.String HTTP_METHOD

      See Also:
        Constant Field Values

    - #### CONTENT_TYPE_HEADER

          public static final java.lang.String CONTENT_TYPE_HEADER

      See Also:
        Constant Field Values

    - #### SOAP_ACTION_HEADER

          public static final java.lang.String SOAP_ACTION_HEADER

      See Also:
        Constant Field Values

    - #### TRANSFER_ENCODING

          public static final java.lang.String TRANSFER_ENCODING

      See Also:
        Constant Field Values

    - #### CONTENT_LEN

          public static final java.lang.String CONTENT_LEN

      See Also:
        Constant Field Values

    - #### REST_URL_POSTFIX

          public static final java.lang.String REST_URL_POSTFIX

      See Also:
        Constant Field Values

    - #### SERVICE_PREFIX

          public static final java.lang.String SERVICE_PREFIX

      See Also:
        Constant Field Values

    - #### FAULT_MESSAGE

          public static final java.lang.String FAULT_MESSAGE

      See Also:
        Constant Field Values

    - #### REST_REQUEST_CONTENT_TYPE

          public static final java.lang.String REST_REQUEST_CONTENT_TYPE

      See Also:
        Constant Field Values

    - #### HTTP_CARBON_MESSAGE

          public static final java.lang.String HTTP_CARBON_MESSAGE

      See Also:
        Constant Field Values

    - #### HTTP_CLIENT_REQUEST_CARBON_MESSAGE

          public static final java.lang.String HTTP_CLIENT_REQUEST_CARBON_MESSAGE

      See Also:
        Constant Field Values

    - #### TRANSPORT_MESSAGE_HANDLER

          public static final java.lang.String TRANSPORT_MESSAGE_HANDLER

      See Also:
        Constant Field Values

    - #### MESSAGE_BUILDER_INVOKED

          public static final java.lang.String MESSAGE_BUILDER_INVOKED

      See Also:
        Constant Field Values

    - #### NO_CONTENT_LENGTH_FOUND

          public static final long NO_CONTENT_LENGTH_FOUND

      See Also:
        Constant Field Values

    - #### ONE_BYTE

          public static final short ONE_BYTE

      See Also:
        Constant Field Values

    - #### INVOKED_REST

          public static final java.lang.String INVOKED_REST

      See Also:
        Constant Field Values

    - #### NON_BLOCKING_TRANSPORT

          public static final java.lang.String NON_BLOCKING_TRANSPORT

      See Also:
        Constant Field Values

    - #### CONTENT_TYPE_APPLICATION_OCTET_STREAM

          public static final java.lang.String CONTENT_TYPE_APPLICATION_OCTET_STREAM

      See Also:
        Constant Field Values

    - #### JSON_CONTENT_TYPE

          public static final java.lang.String JSON_CONTENT_TYPE

      See Also:
        Constant Field Values

    - #### RELAY_EARLY_BUILD

          public static final java.lang.String RELAY_EARLY_BUILD

      See Also:
        Constant Field Values

    - #### HTTP_SOURCE_CONFIGURATION

          public static final java.lang.String HTTP_SOURCE_CONFIGURATION

      See Also:
        Constant Field Values

    - #### HTTP_TARGET_CONFIGURATION

          public static final java.lang.String HTTP_TARGET_CONFIGURATION

      See Also:
        Constant Field Values

    - #### POOLED_BYTE_BUFFER_FACTORY

          public static final java.lang.String POOLED_BYTE_BUFFER_FACTORY

      See Also:
        Constant Field Values

    - #### MESSAGE_OUTPUT_FORMAT

          public static final java.lang.String MESSAGE_OUTPUT_FORMAT

      See Also:
        Constant Field Values

    - #### FORCE_SOAP_FAULT

          public static final java.lang.String FORCE_SOAP_FAULT

      See Also:
        Constant Field Values

    - #### NIO_ACK_REQUESTED

          public static final java.lang.String NIO_ACK_REQUESTED

      See Also:
        Constant Field Values

    - #### WSDL_REQUEST_HANDLED

          public static final java.lang.String WSDL_REQUEST_HANDLED

      See Also:
        Constant Field Values

    - #### DEFAULT_REQUEST_CONTENT_TYPE

          public static final java.lang.String DEFAULT_REQUEST_CONTENT_TYPE

      See Also:
        Constant Field Values

    - #### VALID_CACHED_RESPONSE

          public static final java.lang.String VALID_CACHED_RESPONSE

      See Also:
        Constant Field Values

    - #### ETAG_HEADER

          public static final java.lang.String ETAG_HEADER

      See Also:
        Constant Field Values

    - #### PRE_LOCATION_HEADER

          public static final java.lang.String PRE_LOCATION_HEADER

      See Also:
        Constant Field Values

    - #### FULL_URI

          public static final java.lang.String FULL_URI

      See Also:
        Constant Field Values

    - #### INTERNAL_EXCEPTION_ORIGIN

          public static final java.lang.String INTERNAL_EXCEPTION_ORIGIN

      See Also:
        Constant Field Values

    - #### INTERNAL_ORIGIN_ERROR_HANDLER

          public static final java.lang.String INTERNAL_ORIGIN_ERROR_HANDLER

      See Also:
        Constant Field Values

    - #### LOCATION

          public static final java.lang.String LOCATION

      See Also:
        Constant Field Values

    - #### CONF_LOCATION

          public static final java.lang.String CONF_LOCATION

      See Also:
        Constant Field Values

    - #### BUFFERED_INPUT_STREAM

          public static final java.lang.String BUFFERED_INPUT_STREAM

      See Also:
        Constant Field Values

    - #### CARBON_SERVER_XML_NAMESPACE

          public static final java.lang.String CARBON_SERVER_XML_NAMESPACE

      See Also:
        Constant Field Values

    - #### CHUNKING_CONFIG

          public static final java.lang.String CHUNKING_CONFIG

      See Also:
        Constant Field Values

    - #### DEFAULT_VERSION_HTTP_1_1

          public static final java.lang.String DEFAULT_VERSION_HTTP_1_1

      See Also:
        Constant Field Values

    - #### HTTP_1_1

          public static final float HTTP_1_1

      See Also:
        Constant Field Values

    - #### HTTP_1_0

          public static final float HTTP_1_0

      See Also:
        Constant Field Values

    - #### HTTP_2_0

          public static final java.lang.String HTTP_2_0

      See Also:
        Constant Field Values

    - #### HTTP_VERSION_PREFIX

          public static final java.lang.String HTTP_VERSION_PREFIX

      See Also:
        Constant Field Values

    - #### HTTP_1_0_VERSION

          public static final java.lang.String HTTP_1_0_VERSION

      See Also:
        Constant Field Values

    - #### HTTP_1_1_VERSION

          public static final java.lang.String HTTP_1_1_VERSION

      See Also:
        Constant Field Values

    - #### HTTP_2_0_VERSION

          public static final java.lang.String HTTP_2_0_VERSION

      See Also:
        Constant Field Values

    - #### AUTO

          public static final java.lang.String AUTO

      See Also:
        Constant Field Values

    - #### ALWAYS

          public static final java.lang.String ALWAYS

      See Also:
        Constant Field Values

    - #### NEVER

          public static final java.lang.String NEVER

      See Also:
        Constant Field Values

    - #### PROTOCOL_HTTP

          public static final java.lang.String PROTOCOL_HTTP

      See Also:
        Constant Field Values

    - #### PROTOCOL_HTTPS

          public static final java.lang.String PROTOCOL_HTTPS

      See Also:
        Constant Field Values

    - #### CHANNEL_HANDLER_CONTEXT

          public static final java.lang.String CHANNEL_HANDLER_CONTEXT

      See Also:
        Constant Field Values

    - #### HTTP_DEFAULT_HOST

          public static final java.lang.String HTTP_DEFAULT_HOST

      See Also:
        Constant Field Values

    - #### TO

          public static final java.lang.String TO

      See Also:
        Constant Field Values

    - #### HTTP_HOST

          public static final java.lang.String HTTP_HOST

      See Also:
        Constant Field Values

    - #### HTTP_PORT

          public static final java.lang.String HTTP_PORT

      See Also:
        Constant Field Values

    - #### HTTP_TRACE_LOG

          public static final java.lang.String HTTP_TRACE_LOG

      See Also:
        Constant Field Values

    - #### HTTP_TRACE_LOG_ENABLED

          public static final java.lang.String HTTP_TRACE_LOG_ENABLED

      See Also:
        Constant Field Values

    - #### HTTP_ACCESS_LOG

          public static final java.lang.String HTTP_ACCESS_LOG

      See Also:
        Constant Field Values

    - #### HTTP_ACCESS_LOG_ENABLED

          public static final java.lang.String HTTP_ACCESS_LOG_ENABLED

      See Also:
        Constant Field Values

    - #### KEY_STORE

          public static final java.lang.String KEY_STORE

      See Also:
        Constant Field Values

    - #### TRUST_STORE

          public static final java.lang.String TRUST_STORE

      See Also:
        Constant Field Values

    - #### SSL_VERIFY_CLIENT

          public static final java.lang.String SSL_VERIFY_CLIENT

      See Also:
        Constant Field Values

    - #### SSL_PROTOCOL

          public static final java.lang.String SSL_PROTOCOL

      See Also:
        Constant Field Values

    - #### HTTPS_PROTOCOL

          public static final java.lang.String HTTPS_PROTOCOL

      See Also:
        Constant Field Values

    - #### CLIENT_REVOCATION

          public static final java.lang.String CLIENT_REVOCATION

      See Also:
        Constant Field Values

    - #### PREFERRED_CIPHERS

          public static final java.lang.String PREFERRED_CIPHERS

      See Also:
        Constant Field Values

    - #### SSL_SESSION_TIMEOUT

          public static final java.lang.String SSL_SESSION_TIMEOUT

      See Also:
        Constant Field Values

    - #### SSL_HANDSHAKE_TIMEOUT

          public static final java.lang.String SSL_HANDSHAKE_TIMEOUT

      See Also:
        Constant Field Values

    - #### HOSTNAME_VERIFIER

          public static final java.lang.String HOSTNAME_VERIFIER

      See Also:
        Constant Field Values

    - #### STORE_LOCATION

          public static final java.lang.String STORE_LOCATION

      See Also:
        Constant Field Values

    - #### TYPE

          public static final java.lang.String TYPE

      See Also:
        Constant Field Values

    - #### PASSWORD

          public static final java.lang.String PASSWORD

      See Also:
        Constant Field Values

    - #### KEY_PASSWORD

          public static final java.lang.String KEY_PASSWORD

      See Also:
        Constant Field Values

    - #### NO_VALIDATE_CERT

          public static final java.lang.String NO_VALIDATE_CERT

      See Also:
        Constant Field Values

    - #### SSL_ENABLED_PROTOCOLS

          public static final java.lang.String SSL_ENABLED_PROTOCOLS

      See Also:
        Constant Field Values

    - #### CIPHERS

          public static final java.lang.String CIPHERS

      See Also:
        Constant Field Values

    - #### CACHE_SIZE

          public static final java.lang.String CACHE_SIZE

      See Also:
        Constant Field Values

    - #### CACHE_DELAY

          public static final java.lang.String CACHE_DELAY

      See Also:
        Constant Field Values

    - #### TLS_PROTOCOL

          public static final java.lang.String TLS_PROTOCOL

      See Also:
        Constant Field Values

    - #### HTTP_HEAD

          public static final java.lang.String HTTP_HEAD

      See Also:
        Constant Field Values

    - #### HTTP_GET

          public static final java.lang.String HTTP_GET

      See Also:
        Constant Field Values

    - #### HTTP_POST

          public static final java.lang.String HTTP_POST

      See Also:
        Constant Field Values

    - #### HTTP_DELETE

          public static final java.lang.String HTTP_DELETE

      See Also:
        Constant Field Values

    - #### HTTP_PUT

          public static final java.lang.String HTTP_PUT

      See Also:
        Constant Field Values

    - #### HTTP_OPTIONS

          public static final java.lang.String HTTP_OPTIONS

      See Also:
        Constant Field Values

    - #### HTTP_CONNECT

          public static final java.lang.String HTTP_CONNECT

      See Also:
        Constant Field Values

    - #### HTTP_STATUS_CODE_SENT_FROM_BACKEND

          public static final java.lang.String HTTP_STATUS_CODE_SENT_FROM_BACKEND

      See Also:
        Constant Field Values

    - #### HTTP_REASON_PHRASE_SENT_FROM_BACKEND

          public static final java.lang.String HTTP_REASON_PHRASE_SENT_FROM_BACKEND

      See Also:
        Constant Field Values

    - #### SENDING_FAULT

          public static final java.lang.String SENDING_FAULT

      An Axis2 message context property indicating a transport send failure.
      See Also:
        Constant Field Values

    - #### ERROR_CODE

          public static final java.lang.String ERROR_CODE

      The message context property name which holds the error code for the last encountered exception.
      See Also:
        Constant Field Values

    - #### ERROR_MESSAGE

          public static final java.lang.String ERROR_MESSAGE

      The MC property name which holds the error message for the last encountered exception.
      See Also:
        Constant Field Values

    - #### ERROR_DETAIL

          public static final java.lang.String ERROR_DETAIL

      The message context property name which holds the error detail (stack trace) for the last encountered exception.
      See Also:
        Constant Field Values

    - #### ERROR_EXCEPTION

          public static final java.lang.String ERROR_EXCEPTION

      The message context property name which holds the exception (if any) for the last encountered exception.
      See Also:
        Constant Field Values

    - #### RAW_PAYLOAD

          public static final java.lang.String RAW_PAYLOAD

      An Axis2 message context property that hols the raw payload when an error occurs while building message.
      See Also:
        Constant Field Values

    - #### FAULTS_AS_HTTP_200

          public static final java.lang.String FAULTS_AS_HTTP_200

      When ESB receives a soap fault as a HTTP 500 message, ESB will forward this fault to client with status code 200.
      See Also:
        Constant Field Values

    - #### SC_ACCEPTED

          public static final java.lang.String SC_ACCEPTED

      See Also:
        Constant Field Values

    - #### HTTP_SC

          public static final java.lang.String HTTP_SC

      The HTTP status code.
      See Also:
        Constant Field Values

    - #### HTTP_SC_DESC

          public static final java.lang.String HTTP_SC_DESC

      HTTP response's Reason- Phrase that is sent by the backend. For example, if the backend sends the response's status as HTTP/1.1 200 OK, then the value of HTTP_SC_DESC is OK.
      See Also:
        Constant Field Values

    - #### FORCE_HTTP_1_0

          public static final java.lang.String FORCE_HTTP_1_0

      Force HTTP 1.0 for outgoing HTTP messages.
      See Also:
        Constant Field Values

    - #### DISABLE_CHUNKING

          public static final java.lang.String DISABLE_CHUNKING

      If you set this to true, it disables HTTP chunking for outgoing messages.
      See Also:
        Constant Field Values

    - #### REQUEST_HOST_HEADER

          public static final java.lang.String REQUEST_HOST_HEADER

      The value of this property will be set as the HTTP host header of outgoing request.
      See Also:
        Constant Field Values

    - #### NO_KEEPALIVE

          public static final java.lang.String NO_KEEPALIVE

      Disables HTTP keep alive for outgoing requests.
      See Also:
        Constant Field Values

    - #### POST_TO_URI

          public static final java.lang.String POST_TO_URI

      This property makes the outgoing URL of the ESB a complete URL. This is important when we talk through a Proxy Server.
      See Also:
        Constant Field Values

    - #### FORCE_HTTP_CONTENT_LENGTH

          public static final java.lang.String FORCE_HTTP_CONTENT_LENGTH

      If the request sent by the client contains the ‘Content-Length’ header, this property allows the ESB to send the request with the content length (without HTTP chunking) to the back end server.
      See Also:
        Constant Field Values

    - #### FORCE_SC_ACCEPTED

          public static final java.lang.String FORCE_SC_ACCEPTED

      When set to true, this property forces a 202 HTTP response to the client immediately after the current execution thread finishes, so that the client stops waiting for a response.
      See Also:
        Constant Field Values

    - #### IGNORE_SC_ACCEPTED

          public static final java.lang.String IGNORE_SC_ACCEPTED

      See Also:
        Constant Field Values

    - #### HTTP_ETAG_ENABLED

          public static final java.lang.String HTTP_ETAG_ENABLED

      This property determines whether the HTTP Etag should be enabled for the request or not. HTTP Etag is a mechanism provided by HTTP for Web cache validation.
      See Also:
        Constant Field Values

    - #### SET_CHARACTER_ENCODING

          public static final java.lang.String SET_CHARACTER_ENCODING

      See Also:
        Constant Field Values

    - #### HTTP_202_RECEIVED

          public static final java.lang.String HTTP_202_RECEIVED

      A message context property indicating "TRUE". This will set on success scenarios.
      See Also:
        Constant Field Values

    - #### DEFAULT_OUTBOUND_USER_AGENT

          public static final java.lang.String DEFAULT_OUTBOUND_USER_AGENT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BridgeConstants

          public BridgeConstants()

Copyright © 2005-2022 Apache Software Foundation. All Rights Reserved.